Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 420551 - net-dns/avahi makes use of gtk3 useflag
Summary: net-dns/avahi makes use of gtk3 useflag
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Anthony Basile
URL:
Whiteboard:
Keywords:
Depends on: 399369
Blocks: use_gtk3
  Show dependency tree
 
Reported: 2012-06-10 18:22 UTC by Julian Ospald
Modified: 2013-05-28 14:39 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Ospald 2012-06-10 18:22:57 UTC
These packages make use of gtk3 useflag which indicates that there are issues of migration to gtk+:3.
Gtk3 and similar useflags should be avoided.

Adding to tracker. Please have a look.
Comment 1 Pacho Ramos gentoo-dev 2012-11-27 18:22:01 UTC
splitting from sabayon could solve this :/
Comment 2 Anthony Basile gentoo-dev 2013-05-28 02:37:45 UTC
I'm having a hard time understanding this bug.  What's wrong with having the two flags with the following behavior:

1) USE="gtk -gtk3" <- link against gtk+:2

2) USE="-gtk gtk3" <- link against gtk+:3

3) USE="gtk gtk3" <- link against gtk+:3

Furthermore many of these dependencies use-dep on either gtk or gtk3.  It looks like it would be a mess to disentangle for little profit.

If anyone feel strongly about this issue, please reopen the bug and help me understand why this is important.
Comment 3 Julian Ospald 2013-05-28 14:30:44 UTC
the reasons are explained in the tracker

Basically it causes confusion for the user and is in many cases unnecessary.
"gtk" useflag was not meant to be slot-specific in the first place, but the gtk useflag in your ebuild IS slot specific which collides with the generic meaning of that useflag which is "Adds support for x11-libs/gtk+" thus indicating that this is the only thing to get gtk+ support for apps.
Gnome herd also advises to only support the latest gtk+ slot if possible (unless that is more buggy or has less features). I do not see any complication in this ebuild that would prevent dropping gtk+:2 dep entirely and converting "gtk3" useflag to "gtk".

Also mind that gtk+:3 is already stable and that people would have to do "-gtk" for your ebuild to disable the gtk+:2 specific bits which does not make sense.
Comment 4 Anthony Basile gentoo-dev 2013-05-28 14:35:21 UTC
(In reply to Julian Ospald (hasufell) from comment #3)
> the reasons are explained in the tracker
> 
> Basically it causes confusion for the user and is in many cases unnecessary.
> "gtk" useflag was not meant to be slot-specific in the first place, but the
> gtk useflag in your ebuild IS slot specific which collides with the generic
> meaning of that useflag which is "Adds support for x11-libs/gtk+" thus
> indicating that this is the only thing to get gtk+ support for apps.
> Gnome herd also advises to only support the latest gtk+ slot if possible
> (unless that is more buggy or has less features). I do not see any
> complication in this ebuild that would prevent dropping gtk+:2 dep entirely
> and converting "gtk3" useflag to "gtk".
> 
> Also mind that gtk+:3 is already stable and that people would have to do
> "-gtk" for your ebuild to disable the gtk+:2 specific bits which does not
> make sense.

So what's the plan, drop gtk3 and just use gtk?  This would break reverse dependencies which use-dep on avahi with gtk3.

Also, users don't have to do -gtk.  They only have to do gtk3 which overrides the gtk flag.
Comment 5 Julian Ospald 2013-05-28 14:37:53 UTC
(In reply to Anthony Basile from comment #4)
> 
> So what's the plan, drop gtk3 and just use gtk?  This would break reverse
> dependencies which use-dep on avahi with gtk3.

Yes, reverse deps can be fixed.

> 
> Also, users don't have to do -gtk.  They only have to do gtk3 which
> overrides the gtk flag.

Even more confusing.
Comment 6 Julian Ospald 2013-05-28 14:39:40 UTC
(In reply to Julian Ospald (hasufell) from comment #5)
> Even more confusing.

besides, if they enable both gtk and gtk3, then they get both dependencies without a reason